#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=btf.ico
#AutoIt3Wrapper_Outfile=btf.exe
#AutoIt3Wrapper_Outfile_x64=btf64.exe
#AutoIt3Wrapper_Compile_Both=y
#AutoIt3Wrapper_UseX64=y
#AutoIt3Wrapper_Res_Comment=Bring a Programm (given a part of the name as argument) to the front and exits. See 75r.de/midikey2key
#AutoIt3Wrapper_Res_Description=use btf.exe /? for help
#AutoIt3Wrapper_Res_Fileversion=1.0.0.0
#AutoIt3Wrapper_Res_Fileversion_AutoIncrement=p
#AutoIt3Wrapper_Res_ProductName=BringToFront
#AutoIt3Wrapper_Res_ProductVersion=1.0.0.0
#AutoIt3Wrapper_Res_CompanyName=zero Sound & Equipment Germany,
#AutoIt3Wrapper_Res_LegalCopyright=(c) 2020 Sven Rowoldt
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
; btf (bringToFront) v1.0

Opt("TrayIconHide", 1)
Opt("TrayAutoPause", 0)
;Opt("ExpandEnvStrings", 0)

;HotKeySet("{F1}","Terminate")  ; This would terminate the program in a hotkey
Opt("WinTitleMatchMode", -2)      ; -2 means "Part of String" AND NoCase

if $cmdLine[0] >= 1 Then ; see Shortcut.au3
	For $i=1 To UBound($cmdline)-1
		If (WinActivate($cmdline[$i]) <> 0) Or (WinActive($cmdline[$i]) <> 0) Then
        WinSetState($cmdline[$i],"",@SW_RESTORE)
        ;ToolTip("Activated",0,0)
        ;StuffToDo()
        ;ExitLoop
		Terminate()
		EndIf
		if ($cmdline[$i] = "/?") Then
			Hilfe()
			Exit
		EndIf

		if ($cmdline[$i] = "/T") or ($cmdline[$i] = "/t") Then ; not used here...
			if $cmdLine[$i+1] <> "" Then
				$Target = $cmdLine[$i+1]
			Else
				Err("No Target given.")
			EndIf
		EndIf
	Next
Else
	Hilfe()
	Exit
EndIf

func Err($er)
	Msgbox (0, "Parameter error", $er)
	Exit
EndFunc

func Hilfe()
		MsgBox(64, "BTF Hilfe", " Bring To Front Help" & @CRLF & @CRLF _
		& 'Use btf.exe with one argument: A part of a window-title or name (case-insensitive).' & @CRLF & @CRLF _
		& 'This will will bring this program to front and exits btf.exe.'  & @CRLF _
		& 'Example: "(...Path\)btf.exe edi" will bring Notepad to front, since the Title is something like "Unnamed - Editor".'  & @CRLF _
		& 'Any comments are welcome and can go to sv.ro@gmx.net.'  & @CRLF & @CRLF _
		& 'Sven Rowoldt (C) 2020')
		Exit
EndFunc

Func Terminate()
    Exit 0
EndFunc
